            #GIT_CMT=929d37bcd947aa0efbb92fcd372b716dcfdbe4ec
# Copyright (c) 2025 Oracle. All rights reserved.
#
# Spec file for package btrfs-progs
#
Name:		btrfs-progs
Version:	5.15.1
Release:    3.el8
Summary:	Btrfs filesystem utilities

Group:		System Environment/Base
License:	GPLv2
URL:		http://btrfs.wiki.kernel.org/index.php/Main_Page
Source: btrfs-progs-5.15.1.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc, autoconf, automake, systemd-devel
BuildRequires:	e2fsprogs-devel, libuuid-devel, zlib-devel
BuildRequires:	libacl-devel, libblkid-devel, lzo-devel
BuildRequires:	asciidoc, xmlto, libzstd-devel, libattr-devel
BuildRequires:	python3-devel >= 3.4, python3-setuptools
BuildRequires:	kernel-uek-devel >= 5.15

%description
Utilities needed to create and maintain Btrfs filesystems under Linux.

%package -n libbtrfs
Summary:	Btrfs filesystem-specific runtime legacy libraries.
License:	GPLv2
Conflicts:	%{name} < 4.20.2

%description -n libbtrfs
libbtrfs contains the legacy library used by Btrfs filesystem-specific programs.

%package -n libbtrfsutil
Summary:	Btrfs filesystem-specific runtime utility libraries.
License:	LGPLv2+
Conflicts:	%{name}-devel < 4.20.2

%description -n libbtrfsutil
libbtrfsutil contains library used by Btrfs filesystem-specific programs.

%package devel
Summary:	Btrfs filesystem libraries and headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbtrfs%{?_isa} = %{version}-%{release}
Requires:	libbtrfsutil%{?_isa} = %{version}-%{release}

%description devel
Includes header files and libraries for developing Btrfs filesystem-specific programs.

It includes development files for two libraries:
- libbtrfs (GPLv2)
- libbtrfsutil (LGPLv2+)

You should install btrfs-progs-devel if you want to develop Btrfs filesystem-specific programs.

%package -n python3-btrfsutil
Summary:	Python 3 bindings for libbtrfsutil
License:	LGPLv2+
Requires:	libbtrfsutil%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-btrfsutil}

%description -n python3-btrfsutil
Contains Python 3 bindings to the libbtrfsutil library, which can be used
for Btrfs filesystem-specific programs in python3.

%prep
%setup -q

%build
./autogen.sh
%configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{!?with_python:--disable-python}
%make_build %{?_smp_mflags}

pushd libbtrfsutil/python
%py3_build
popd

%install
%make_install mandir=%{_mandir} bindir=%{_sbindir} libdir=%{_libdir} incdir=%{_includedir}
install -Dpm0644 btrfs-completion %{buildroot}%{_datadir}/bash-completion/completions/btrfs
# Nuke the static lib
rm -v %{buildroot}%{_libdir}/*.a

pushd libbtrfsutil/python
%py3_install
popd

%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-find-root
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%{_udevrulesdir}/64-btrfs-dm.rules
%{_datadir}/bash-completion/completions/btrfs

%files -n libbtrfs
%license COPYING
%{_libdir}/libbtrfs.so.0*

%files -n libbtrfsutil
%doc libbtrfsutil/COPYING*
%{_libdir}/libbtrfsutil.so.1*

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so
%{_libdir}/pkgconfig/libbtrfsutil.pc

%files -n python3-btrfsutil
%doc libbtrfsutil/COPYING*
%{python3_sitearch}/btrfsutil.*.so
%{python3_sitearch}/btrfsutil-*.egg-info/

%changelog
* Fri May 16 2025 Aannd Jain <anand.jain@oracle.com> 5.15.1-3
- btrfs-progs: mkfs: use path_canonicalize for input device [Orabug: 37868203]

* Fri Mar 7 2025 Anand Jain <anand.jain@oralce.com> 5.15.1-2
- Fix for btrfs-convert csum error after ext4 convert [Orabug: 37353780]
- Fix for btrfs-convert uninitialized ext4 extent [Orabug: 36581591]

* Thu Feb 22 2024 Anand Jain <anand.jain@oracle.com> 5.15.1-1
- Fix for missing by-uuid link after mkfs [Orabug: 36214038]

* Tue Dec 14 2021 Anand Jain <anand.jain@oracle.com> 5.15.1-0
- Upstream release 5.15.1 [Orabug: 33663632]
